package cd.casic.ci.repository.service;

import cd.casic.ci.repository.controller.admin.OpsVcsVO;
import cd.casic.ci.repository.dal.dataobject.OpsVcsDO;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.framework.commons.pojo.PageResult;
import java.util.List;

public interface OpsRepositoryService {

    int add(OpsVcsVO opsVcs);

    Integer delete(Long opsVcsId);

    Integer edit(OpsVcsVO opsVcsVO);

    OpsVcsDO detail(Long opsVcsId);

    List<OpsVcsDO> vcsList();

    PageResult<OpsVcsDO> getVcsPage(OpsVcsVO opsVcsVO);

    List<String> getBranch(Long opsVcsId);

    CommonResult checkVcsUrl(OpsVcsVO opsVcs);
}
